org.apache.lucene.queryparser.xml.builders

## Class SpanTermBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanBuilderBase
  - - org.apache.lucene.queryparser.xml.builders.SpanTermBuilder

- All Implemented Interfaces:
    SpanQueryBuilder, QueryBuilder

      public class SpanTermBuilder
      extends SpanBuilderBase

  Builder for `SpanTermQuery`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanTermBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanQuery` | `getSpanQuery(Element e)`

    - ### Methods inherited from class org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

      `getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanTermBuilder

          public SpanTermBuilder()

  - ### Method Detail

    - #### getSpanQuery

          public SpanQuery getSpanQuery(Element e)
                                 throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.